package com.xhpc.tradebill.mapper;

import com.xhpc.tradebill.domain.XhpcHistoryOrderDomain;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface XhpcHistoryOrderMapper {


    XhpcHistoryOrderDomain findOneBySerialNumber(String serialNumber);


    XhpcHistoryOrderDomain findOneByInternetSerialNumber(String internetSerialNumber);

    List<XhpcHistoryOrderDomain> findListByInternetSerialNumbers(@Param("orderNumbers") List<String> internetSerialNumbers);
}